'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _AppBarRightToolbar = require('../AppBarRightToolbar');

var _AppBarRightToolbar2 = _interopRequireDefault(_AppBarRightToolbar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the AppBarRightToolbar
 */
describe('AppBarRightToolbar Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(_AppBarRightToolbar2.default, { className: 'test-class-name' }));
    var testInstance = renderer.root;
    expect(testInstance.findByType(_AppBarRightToolbar2.default)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('AppBarRightToolbar');
  });
});