'use strict';

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _shallow = require('react-test-renderer/shallow');

var _shallow2 = _interopRequireDefault(_shallow);

var _AutoComplete = require('../AutoComplete');

var _AutoComplete2 = _interopRequireDefault(_AutoComplete);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the AutoComplete
 */
describe('AutoComplete Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = new _shallow2.default();
    var renderedDocument = renderer.render(_react2.default.createElement(_AutoComplete2.default, { delimiter: 'test' }));

    expect(_typeof(renderedDocument.props)).toBe('object');
    expect(renderedDocument.type).toBe('div');
  });
});