'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _IconButton = require('../IconButton');

var _IconButton2 = _interopRequireDefault(_IconButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the IconButton
 */
describe('IconButton Component', function () {
  // Basic validation that render works in edit mode and returns childrenit("Should render", () => {const renderer = TestRenderer.create(<FlatButton label="test label" />);
  it('Should render', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(_IconButton2.default, { label: 'test label' }));
    var testInstance = renderer.root;
    expect(testInstance.findByType(_IconButton2.default)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('test label');
  });
});