'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _Drawer = require('../Drawer');

var _Drawer2 = _interopRequireDefault(_Drawer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the Drawer
 */
describe('Drawer Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(_Drawer2.default, { open: true }));
    var testInstance = renderer.root;
    expect(testInstance.findByType(_Drawer2.default)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Overlay');
  });
});