'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var styles = exports.styles = function styles(theme) {
  return {
    drawer: {
      overflow: 'auto',
      height: '100%',
      width: theme.drawer.leftNavWidth
    },

    drawerClipped: {
      position: 'fixed',
      zIndex: 200
    },

    drawerFloating: {
      left: 0,
      top: 0,
      position: 'fixed',
      zIndex: 200,
      transition: theme.drawer.easeOutDefault
    },

    drawerTransparent: {
      backgroundColor: 'transparent'
    },

    drawerClosed: {
      transform: theme.drawer.transform
    }
  };
};