'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styles = require('./styles');

var _injectStyles = require('../styles/injectStyles');

var _injectStyles2 = _interopRequireDefault(_injectStyles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Horizontal spacer that is the same size as a grid gutter
 *
 * @param {Object} props
 * @returns {ReactDOM}
 */
var GutterHoriz = function GutterHoriz(props) {
  return _react2.default.createElement('div', { className: props.classes.gutterHoriz });
};

/**
 * Set accepted properties
 */
GutterHoriz.propTypes = {
  /**
   * JSS classes for styling the component
   */
  classes: _propTypes2.default.object
};

exports.default = (0, _injectStyles2.default)(_styles.styles, GutterHoriz);
module.exports = exports['default'];