'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styles = require('./styles');

var _injectStyles = require('../styles/injectStyles');

var _injectStyles2 = _interopRequireDefault(_injectStyles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Grid row
 *
 * @param props
 * @param context
 * @returns {ReactDOM}
 * @constructor
 */
var Row = function Row(props, context) {
  return _react2.default.createElement(
    'div',
    { className: props.classes.row },
    props.children
  );
};

/**
 * Set accepted properties
 */
Row.propTypes = {
  children: _propTypes2.default.node
};

// Wrap in JSS for styles
exports.default = (0, _injectStyles2.default)(_styles.styles, Row);
module.exports = exports['default'];