'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _Chip = require('../Chip');

var _Chip2 = _interopRequireDefault(_Chip);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the Row
 */
describe('Chip Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(
      _Chip2.default,
      null,
      'Test Chip'
    ));
    var testInstance = renderer.root;
    expect(testInstance.findByType(_Chip2.default)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Test Chip');
  });
});