'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var styles = exports.styles = function styles(theme) {
  return {
    chip: {
      backgroundColor: theme.chip.backgroundColor,
      borderRadius: '5px',
      margin: '5px',
      overflow: 'hidden',
      position: 'relative',
      minHeight: '25px',
      display: 'inline-block',
      fontFamily: theme.font.family
    },
    chipChildren: {
      fontSize: theme.chip.fontSize,
      color: theme.chip.textColor,
      verticalAlign: 'middle',
      textOverflow: 'ellipsis',
      whiteSpace: 'nowrap',
      padding: '5px',
      display: 'inline-block'
    },
    deletable: {
      marginLeft: '5px',
      cursor: 'pointer',
      paddingRight: '5px'
    }
  };
};