'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styles = require('./styles');

var _injectStyles = require('../styles/injectStyles');

var _injectStyles2 = _interopRequireDefault(_injectStyles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SubheaderMenuItem = function SubheaderMenuItem(props, context) {

  return _react2.default.createElement(
    'div',
    { key: props.index, className: props.classes.menuSubheader },
    props.text
  );
};

SubheaderMenuItem.propTypes = {
  index: _propTypes2.default.number.isRequired,
  text: _propTypes2.default.string.isRequired
};

// Wrap in JSS for styles
exports.default = (0, _injectStyles2.default)(_styles.styles, SubheaderMenuItem);
module.exports = exports['default'];