'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _shallow = require('react-test-renderer/shallow');

var _shallow2 = _interopRequireDefault(_shallow);

var _LinkMenuItem = require('../LinkMenuItem');

var _LinkMenuItem2 = _interopRequireDefault(_LinkMenuItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the Menu
 */
describe('LinkMenuItem Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = new _shallow2.default();
    var renderedDocument = renderer.render(_react2.default.createElement(_LinkMenuItem2.default, { index: 0, payload: 'Test Link Menu Item', text: 'test' }));

    expect(renderedDocument.key).toBe('0');
    expect(renderedDocument.props.children).toBe('test');
    expect(renderedDocument.props.className).toBe('chamel-menu-item');
    expect(JSON.stringify(renderedDocument)).toContain('Test Link Menu Item');
  });
});