'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _shallow = require('react-test-renderer/shallow');

var _shallow2 = _interopRequireDefault(_shallow);

var _NestedMenuItem = require('../NestedMenuItem');

var _NestedMenuItem2 = _interopRequireDefault(_NestedMenuItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the NestedMenuItem
 */
describe('NestedMenuItem Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = new _shallow2.default();
    var renderedDocument = renderer.render(_react2.default.createElement(_NestedMenuItem2.default, { index: 0 }));

    expect(renderedDocument.props.className).toBe('chamel-nested-menu-item');
    expect(renderedDocument.type).toBe('div');
  });
});