'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _CircularProgress = require('../CircularProgress');

var _CircularProgress2 = _interopRequireDefault(_CircularProgress);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the CircularProgress
 */
describe('CircularProgress Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(_CircularProgress2.default, { value: 100 }));
    var testInstance = renderer.root;
    expect(testInstance.findByType(_CircularProgress2.default)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('progress-bar');
  });
});