'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _Progress = require('../Progress');

var _Progress2 = _interopRequireDefault(_Progress);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the Progress
 */
describe('Progress Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(_Progress2.default, { value: 100 }));
    var testInstance = renderer.root;
    expect(testInstance.findByType(_Progress2.default)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Progress');
  });
});