'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styles = require('./styles');

var _injectStyles = require('../styles/injectStyles');

var _injectStyles2 = _interopRequireDefault(_injectStyles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Body = function Body(props) {
  return _react2.default.createElement(
    'tbody',
    { className: props.classes.tbody },
    props.children
  );
};

Body.propTypes = {
  /**
   * Contents of the cell
   */
  children: _propTypes2.default.any,

  /**
   * JSS classes for styling the component
   */
  classes: _propTypes2.default.object
};

exports.default = (0, _injectStyles2.default)(_styles.styles, Body);
module.exports = exports['default'];