'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _TableRowCell = require('../TableRowCell');

var _TableRowCell2 = _interopRequireDefault(_TableRowCell);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('TableRowCell Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(_TableRowCell2.default, null));
    var testInstance = renderer.root;
    expect(testInstance.findByType(_TableRowCell2.default)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('RowCell');
  });
});