'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _CaptionText = require('../CaptionText');

var _CaptionText2 = _interopRequireDefault(_CaptionText);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Text/CaptionText', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(
      _CaptionText2.default,
      null,
      'test caption text'
    ));
    var testInstance = renderer.root;
    expect(testInstance.findByType(_CaptionText2.default)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('test caption text');
  });
});