'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _shallow = require('react-test-renderer/shallow');

var _shallow2 = _interopRequireDefault(_shallow);

var _TextFieldRich = require('../TextFieldRich');

var _TextFieldRich2 = _interopRequireDefault(_TextFieldRich);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the TextFieldRich
 */
describe('TextFieldRich Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = new _shallow2.default();
    var renderedDocument = renderer.render(_react2.default.createElement(_TextFieldRich2.default, { value: 'jest-test', id: 'jest-TextFieldRich' }));

    expect(renderedDocument.props.className).toBe('chamel-text-field-rich');
    expect(JSON.stringify(renderedDocument)).toContain('chamel-text-field-rich');
  });
});