'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _themeBuilder = require('../themeBuilder');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('styles/themeBuilder', function () {
  it('Should merge with base', function () {
    var base = { color: 'blue', list: { align: 'left' } };
    var theme = { list: { align: 'right' } };
    var expected = { color: 'blue', list: { align: 'right' } };
    expect((0, _themeBuilder.themeBuilder)(theme, base)).toEqual(expected);
  });
});