import React from 'react';
import TestRenderer from 'react-test-renderer';
import AppBar from '../AppBar';

/**
 * Test rendering the AppBar
 */
describe('AppBar Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<AppBar fixed={true} title={'Test title'} zDepth={0} />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(AppBar)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Test title');
  });
});
