import React from 'react';
import TestRenderer from 'react-test-renderer';
import AppBarRightToolbar from '../AppBarRightToolbar';

/**
 * Test rendering the AppBarRightToolbar
 */
describe('AppBarRightToolbar Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<AppBarRightToolbar className={'test-class-name'} />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(AppBarRightToolbar)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('AppBarRightToolbar');
  });
});
