import React from 'react';
import TestRenderer from 'react-test-renderer';
import Button from '../Button';

/**
 * Test rendering the Button
 */
describe('Button Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Button label="test label" />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Button)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('test label');
  });
});
