import React from 'react';
import TestRenderer from 'react-test-renderer';
import FlatButton from '../FlatButton';

/**
 * Test rendering the FlatButton
 */
describe('FlatButton Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<FlatButton label="test label" />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(FlatButton)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('test label');
  });
});
