import React from 'react';
import TestRenderer from 'react-test-renderer';
import FloatingButton from '../FloatingButton';

/**
 * Test rendering the FloatingButton
 */
describe('FloatingButton Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<FloatingButton label="test label" />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(FloatingButton)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('test label');
  });
});
