import React from 'react';
import TestRenderer from 'react-test-renderer';
import IconButton from '../IconButton';

/**
 * Test rendering the IconButton
 */
describe('IconButton Component', () => {
  // Basic validation that render works in edit mode and returns childrenit("Should render", () => {const renderer = TestRenderer.create(<FlatButton label="test label" />);
  it('Should render', () => {
    const renderer = TestRenderer.create(<IconButton label="test label" />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(IconButton)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('test label');
  });
});
