import React from 'react';
import TestRenderer from 'react-test-renderer';
import RaisedButton from '../RaisedButton';

/**
 * Test rendering the RaisedButton
 */
describe('RaisedButton Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<RaisedButton label="test label" />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(RaisedButton)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('test label');
  });
});
