import React from 'react';
import TestRenderer from 'react-test-renderer';
import Drawer from '../Drawer';

/**
 * Test rendering the Drawer
 */
describe('Drawer Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Drawer open={true} />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Drawer)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Overlay');
  });
});
