import React from 'react';
import TestRenderer from 'react-test-renderer';
import Column from '../Column';

/**
 * Test rendering the Column
 */
describe('Column Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Column />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Column)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Column');
  });
});
