import React from 'react';
import TestRenderer from 'react-test-renderer';
import Container from '../Container';

/**
 * Test rendering the Container
 */
describe('Container Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Container />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Container)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Container');
  });
});
