import React from 'react';
import TestRenderer from 'react-test-renderer';
import GutterHoriz from '../GutterHoriz';

/**
 * Test rendering the Column
 */
describe('Grid/GutterHoriz', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<GutterHoriz />);
    expect(renderer.root.findByType(GutterHoriz)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('GutterHoriz');
  });
});
