import React from 'react';
import TestRenderer from 'react-test-renderer';
import RichText from '../RichText';

/**
 * Test rendering the RichText
 */
describe('RichText Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<RichText />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(RichText)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('RichText');
  });
});
