import React from 'react';
import TestRenderer from 'react-test-renderer';
import TextField from '../TextField';

/**
 * Test rendering the TextField
 */
describe('TextField Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<TextField />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(TextField)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('TextField');
  });
});
