import React from 'react';
import TestRenderer from 'react-test-renderer';
import ListDivider from '../ListDivider';

/**
 * Test rendering the ListDivider
 */
describe('ListDivider Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<ListDivider />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ListDivider)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('ListDivider');
  });
});
