import React from 'react';
import TestRenderer from 'react-test-renderer';
import ListItem from '../ListItem';

/**
 * Test rendering the ListDivider
 */
describe('ListItem Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<ListItem />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ListItem)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('ListItem');
  });
});
