import React from 'react';
import TestRenderer from 'react-test-renderer';
import Menu from '../Menu';

/**
 * Test rendering the Menu
 */
describe('Menu Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Menu />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Menu)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Menu');
  });
});
