export const styles = theme => ({
  overlayTransform: {
    left: '-100%',
    backgroundColor: theme.overlay.backgroundColor,
    transition: theme.overlay.transition,
    transform: theme.overlay.windowTransform,
  },

  overlay: {
    extend: 'overlayTransform',
    position: 'fixed',
    height: '100%',
    width: '100%',
    zIndex: 150,
    top: '0px',
  },

  overlayVisible: {
    extend: 'overlayTransform',
    left: '0px',
  },
});
