import React from 'react';
import TestRenderer from 'react-test-renderer';
import Paper from '../Paper';

/**
 * Test rendering the Overlay
 */
describe('Paper Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Paper />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Paper)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Paper');
  });
});
