import React from 'react';
import TestRenderer from 'react-test-renderer';
import RadioButton from '../RadioButton';

/**
 * Test rendering the RadioButton
 */
describe('RadioButton Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<RadioButton />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(RadioButton)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('RadioButton');
  });
});
