import React from 'react';
import TestRenderer from 'react-test-renderer';
import RadioPicker from '../RadioPicker';

/**
 * Test rendering the RadioPicker
 */
describe('RadioPicker Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<RadioPicker />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(RadioPicker)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('div');
  });
});
