import React from 'react';
import TestRenderer from 'react-test-renderer';
import SelectButton from '../SelectButton';

/**
 * Test rendering the SelectButton
 */
describe('SelectButton Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<SelectButton menuItems={[{ payload: 1, text: 1 }]} />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(SelectButton)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('SelectButton');
  });
});
