import React from 'react';
import TestRenderer from 'react-test-renderer';
import ReactShallowRenderer from 'react-test-renderer/shallow';
import Popover from '../Popover';

/**
 * Test rendering the SelectButton
 */
describe('Popover Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Popover relative={true} />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Popover)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Popover');
  });
});
