import React from 'react';
import TestRenderer from 'react-test-renderer';
import CircularProgress from '../CircularProgress';

/**
 * Test rendering the CircularProgress
 */
describe('CircularProgress Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<CircularProgress value={100} />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(CircularProgress)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('progress-bar');
  });
});
