import React from 'react';
import TestRenderer from 'react-test-renderer';
import Progress from '../Progress';

/**
 * Test rendering the Progress
 */
describe('Progress Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Progress value={100} />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Progress)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Progress');
  });
});
