import React from 'react';
import TestRenderer from 'react-test-renderer';
import Snackbar from '../Snackbar';

/**
 * Test rendering the Snackbar
 */
describe('Snackbar Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Snackbar message="Test Snackbar" />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Snackbar)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Test Snackbar');
  });
});
