export const styles = theme => ({
  snackbar: {
    color: theme.snackbar.textColor,
    backgroundColor: theme.snackbar.backgroundColor,
    borderRadius: '2px',
    padding: '0 ' + theme.gutters.medium + 'px',
    height: theme.snackbar.height,
    lineHeight: theme.snackbar.height,
    minWidth: '288px',
    maxWidth: '568px',
    position: 'fixed',
    zIndex: 200,
    bottom: theme.gutters.medium + 'px',
    left: theme.gutters.medium + 'px',
    opacity: 0,
    transition: theme.snackbar.easeOutDefault,
    transform: 'translate3d(0, 8px, 0)',
  },

  snackbarIsOpen: {
    opacity: 1,
    transform: 'translate3d(0, 0, 0)',
  },

  snackbarAction: {
    color: theme.snackbar.actionColor,
    float: 'right',
    marginTop: '6px',
    marginRight: '-16px',
    marginLeft: theme.gutters.medium + 'px',
    backgroundColor: 'transparent',
  },
});
