import React from 'react';
import TestRenderer from 'react-test-renderer';
import Body from '../TableBody';

describe('Table/Body', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Body />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Body)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Body');
  });
});
