import React from 'react';
import TestRenderer from 'react-test-renderer';
import RowCell from '../TableRowCell';

describe('TableRowCell Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<RowCell />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(RowCell)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('RowCell');
  });
});
