import React from 'react';
import TestRenderer from 'react-test-renderer';
import BodyLeadText from '../BodyLeadText';

describe('Text/BodyLeadText', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<BodyLeadText>{'test lead text'}</BodyLeadText>);
    const testInstance = renderer.root;
    expect(testInstance.findByType(BodyLeadText)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('test lead text');
  });
});
