import React from 'react';
import TestRenderer from 'react-test-renderer';
import Display from '../DisplayText';

describe('Text/Display', () => {
  it('Should render level 1', () => {
    const renderer = TestRenderer.create(<Display level={1}>{'test display text'}</Display>);
    expect(renderer.root.findByType(Display)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('test display text');
  });
});
