import React from 'react';
import TestRenderer from 'react-test-renderer';
import Heading from '../HeadingText';

describe('Text/Heading', () => {
  it('Should render level 1', () => {
    const renderer = TestRenderer.create(<Heading level={1}>{'test'}</Heading>);
    expect(renderer.root.findByType(Heading)).not.toBeNull();
  });
  it('Should render level 2', () => {
    const renderer = TestRenderer.create(<Heading level={2}>{'test'}</Heading>);
    expect(renderer.root.findByType(Heading)).not.toBeNull();
  });
  it('Should render level 3', () => {
    const renderer = TestRenderer.create(<Heading level={3}>{'test'}</Heading>);
    expect(renderer.root.findByType(Heading)).not.toBeNull();
  });
  it('Should render level 4', () => {
    const renderer = TestRenderer.create(<Heading level={4}>{'test'}</Heading>);
    expect(renderer.root.findByType(Heading)).not.toBeNull();
  });
});
