import React from 'react';
import TestRenderer from 'react-test-renderer';
import Checkbox from '../Checkbox';

/**
 * Test rendering the Checkbox
 */
describe('Checkbox Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Checkbox label={'Test Toggle Checkbox'} checked />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Checkbox)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Test Toggle Checkbox');
  });
});
