import React from 'react';
import TestRenderer from 'react-test-renderer';
import ToolbarGroup from '../ToolbarGroup';

/**
 * Test rendering the ToolbarGroup
 */
describe('ToolbarGroup Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<ToolbarGroup />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ToolbarGroup)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('div');
  });
});
