import React from 'react';
import PropTypes from 'prop-types';
import FontIcon from '../../FontIcon';
import { styles } from './styles';
import injectStyles from '../../styles/injectStyles';

const ChevronRightIcon = (props, context) => {
  return (
    <FontIcon {...props} className={props.classes.iconChevronRight}>
      {'chevron_right'}
    </FontIcon>
  );
};

// Wrap in JSS for styles
export default injectStyles(styles, ChevronRightIcon);
