import React from 'react';
import PropTypes from 'prop-types';
import FontIcon from '../../FontIcon';
import { styles } from './styles';
import injectStyles from '../../styles/injectStyles';

const FullScreenExitIcon = (props, context) => {
  return (
    <FontIcon {...props} className={props.classes.iconFullScreenExit}>
      {'fullscreen_exit'}
    </FontIcon>
  );
};

// Wrap in JSS for styles
export default injectStyles(styles, FullScreenExitIcon);
