import React from 'react';
import TestRenderer from 'react-test-renderer';
import AddIcon from '../AddIcon';

/**
 * Test rendering the AddIcon
 */
describe("AddIcon Component", () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<AddIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(AddIcon)).not.toBeNull();
  });
});
