import React from 'react';
import TestRenderer from 'react-test-renderer';
import AppsIcon from '../AppsIcon';

/**
 * Test rendering the AppsIcon
 */
describe("AppsIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<AppsIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(AppsIcon)).not.toBeNull();
  });
});
