import React from 'react';
import TestRenderer from 'react-test-renderer';
import ArrowDownIcon from '../ArrowDownIcon';

/**
 * Test rendering the ArrowDownIcon
 */
describe("ArrowDownIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<ArrowDownIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ArrowDownIcon)).not.toBeNull();
  });
});
