import React from 'react';
import TestRenderer from 'react-test-renderer';
import ArrowUpIcon from '../ArrowUpIcon';

/**
 * Test rendering the AppsIcon
 */
describe("ArrowUpIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<ArrowUpIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ArrowUpIcon)).not.toBeNull();
  });
});
