import React from 'react';
import TestRenderer from 'react-test-renderer';
import BuildIcon from '../BuildIcon';

/**
 * Test rendering the BuildIcon
 */
describe("BuildIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<BuildIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(BuildIcon)).not.toBeNull();
  });
});
