import React from 'react';
import TestRenderer from 'react-test-renderer';
import CommentIcon from '../CommentIcon';

/**
 * Test rendering the CommentIcon
 */
describe("CommentIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<CommentIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(CommentIcon)).not.toBeNull();
  });
});
