import React from 'react';
import TestRenderer from 'react-test-renderer';
import FirstPageIcon from '../FirstPageIcon';

/**
 * Test rendering the FirstPageIcon
 */
describe("FirstPageIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<FirstPageIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(FirstPageIcon)).not.toBeNull();
  });
});
