import React from 'react';
import TestRenderer from 'react-test-renderer';
import FullScreenExitIcon from '../FullScreenExitIcon';

/**
 * Test rendering the FullScreenExitIcon
 */
describe("FullScreenExitIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<FullScreenExitIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(FullScreenExitIcon)).not.toBeNull();
  });
});
