import React from 'react';
import TestRenderer from 'react-test-renderer';
import InboxIcon from '../InboxIcon';

/**
 * Test rendering the InboxIcon
 */
describe("InboxIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<InboxIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(InboxIcon)).not.toBeNull();
  });
});
