import React from 'react';
import TestRenderer from 'react-test-renderer';
import LastPageIcon from '../LastPageIcon';

/**
 * Test rendering the LastPageIcon
 */
describe("LastPageIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<LastPageIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(LastPageIcon)).not.toBeNull();
  });
});
