import React from 'react';
import TestRenderer from 'react-test-renderer';
import LibraryBooksIcon from '../LibraryBooksIcon';

/**
 * Test rendering the LibraryBooksIcon
 */
describe("LibraryBooksIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<LibraryBooksIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(LibraryBooksIcon)).not.toBeNull();
  });
});
