import React from 'react';
import TestRenderer from 'react-test-renderer';
import LocalOfferIcon from '../LocalOfferIcon';

/**
 * Test rendering the LocalOfferIcon
 */
describe("LocalOfferIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<LocalOfferIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(LocalOfferIcon)).not.toBeNull();
  });
});
