import React from 'react';
import TestRenderer from 'react-test-renderer';
import SettingsIcon from '../SettingsIcon';

/**
 * Test rendering the SettingsIcon
 */
describe("SettingsIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<SettingsIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(SettingsIcon)).not.toBeNull();
  });
});
