import React from 'react';
import TestRenderer from 'react-test-renderer';
import StreetViewIcon from '../StreetViewIcon';

/**
 * Test rendering the StreetViewIcon
 */
describe("StreetViewIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<StreetViewIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(StreetViewIcon)).not.toBeNull();
  });
});
