import React from 'react';
import TestRenderer from 'react-test-renderer';
import WebIcon from '../WebIcon';

/**
 * Test rendering the WebIcon
 */
describe("WebIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<WebIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(WebIcon)).not.toBeNull();
  });
});
