import React from 'react';
import TestRenderer from 'react-test-renderer';
import AccessTimeIcon from '../AccessTimeIcon';

/**
 * Test rendering the AccessTimeIcon
 */
describe('AccessTimeIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<AccessTimeIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(AccessTimeIcon)).not.toBeNull();
  });
});
