import React from 'react';
import TestRenderer from 'react-test-renderer';
import AnnouncementIcon from '../AnnouncementIcon';

/**
 * Test rendering the AnnouncementIcon
 */
describe('AnnouncementIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<AnnouncementIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(AnnouncementIcon)).not.toBeNull();
  });
});
