import React from 'react';
import TestRenderer from 'react-test-renderer';
import ArrowBackIcon from '../ArrowBackIcon';

/**
 * Test rendering the ArrowBackIcon
 */
describe('ArrowBackIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<ArrowBackIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ArrowBackIcon)).not.toBeNull();
  });
});
