import React from 'react';
import TestRenderer from 'react-test-renderer';
import ArrowForwardIcon from '../ArrowForwardIcon';

/**
 * Test rendering the ArrowForwardIcon
 */
describe('ArrowForwardIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<ArrowForwardIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ArrowForwardIcon)).not.toBeNull();
  });
});
