import React from 'react';
import TestRenderer from 'react-test-renderer';
import AttachmentIcon from '../AttachmentIcon';

/**
 * Test rendering the AttachmentIcon
 */
describe('AttachmentIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<AttachmentIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(AttachmentIcon)).not.toBeNull();
  });
});
