import React from 'react';
import TestRenderer from 'react-test-renderer';
import CancelIcon from '../CancelIcon';

/**
 * Test rendering the CancelIcon
 */
describe('CancelIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<CancelIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(CancelIcon)).not.toBeNull();
  });
});
