import React from 'react';
import TestRenderer from 'react-test-renderer';
import ContentPasteIcon from '../ContentPasteIcon';

/**
 * Test rendering the ContentPasteIcon
 */
describe('ContentPasteIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<ContentPasteIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ContentPasteIcon)).not.toBeNull();
  });
});
