import React from 'react';
import TestRenderer from 'react-test-renderer';
import DateRangeIcon from '../DateRangeIcon';

/**
 * Test rendering the DateRangeIcon
 */
describe('DateRangeIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<DateRangeIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(DateRangeIcon)).not.toBeNull();
  });
});
