import React from 'react';
import TestRenderer from 'react-test-renderer';
import DescriptionIcon from '../DescriptionIcon';

/**
 * Test rendering the DescriptionIcon
 */
describe('DescriptionIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<DescriptionIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(DescriptionIcon)).not.toBeNull();
  });
});
