import React from 'react';
import TestRenderer from 'react-test-renderer';
import ExtensionIcon from '../ExtensionIcon';

/**
 * Test rendering the ExtensionIcon
 */
describe('ExtensionIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<ExtensionIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ExtensionIcon)).not.toBeNull();
  });
});
