import React from 'react';
import TestRenderer from 'react-test-renderer';
import FilterListIcon from '../FilterListIcon';

/**
 * Test rendering the FilterListIcon
 */
describe('FilterListIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<FilterListIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(FilterListIcon)).not.toBeNull();
  });
});
