import React from 'react';
import TestRenderer from 'react-test-renderer';
import HomeIcon from '../HomeIcon';

/**
 * Test rendering the HomeIcon
 */
describe('HomeIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<HomeIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(HomeIcon)).not.toBeNull();
  });
});
