import React from 'react';
import TestRenderer from 'react-test-renderer';
import LabelIcon from '../LabelIcon';

/**
 * Test rendering the LabelIcon
 */
describe('LabelIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<LabelIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(LabelIcon)).not.toBeNull();
  });
});
