import React from 'react';
import TestRenderer from 'react-test-renderer';
import LightBulbIcon from '../LightBulbIcon';

/**
 * Test rendering the LightBulbIcon
 */
describe('LightBulbIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<LightBulbIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(LightBulbIcon)).not.toBeNull();
  });
});
