import React from 'react';
import TestRenderer from 'react-test-renderer';
import ListBulletedIcon from '../ListBulletedIcon';

/**
 * Test rendering the ListBulletedIcon
 */
describe('ListBulletedIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<ListBulletedIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ListBulletedIcon)).not.toBeNull();
  });
});
