import React from 'react';
import TestRenderer from 'react-test-renderer';
import MenuIcon from '../MenuIcon';

/**
 * Test rendering the MenuIcon
 */
describe('MenuIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<MenuIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(MenuIcon)).not.toBeNull();
  });
});
