import React from 'react';
import TestRenderer from 'react-test-renderer';
import PhotoIcon from '../PhotoIcon';

/**
 * Test rendering the PhotoIcon
 */
describe('PhotoIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<PhotoIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(PhotoIcon)).not.toBeNull();
  });
});
