import React from 'react';
import TestRenderer from 'react-test-renderer';
import RefreshIcon from '../RefreshIcon';

/**
 * Test rendering the RefreshIcon
 */
describe('RefreshIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<RefreshIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(RefreshIcon)).not.toBeNull();
  });
});
