import React from 'react';
import TestRenderer from 'react-test-renderer';
import SaveIcon from '../SaveIcon';

/**
 * Test rendering the SaveIcon
 */
describe('SaveIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<SaveIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(SaveIcon)).not.toBeNull();
  });
});
