import React from 'react';
import TestRenderer from 'react-test-renderer';
import TocIcon from '../TocIcon';

/**
 * Test rendering the TocIcon
 */
describe('TocIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<TocIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(TocIcon)).not.toBeNull();
  });
});
