import React from 'react';
import TestRenderer from 'react-test-renderer';
import WorkIcon from '../WorkIcon';

/**
 * Test rendering the WorkIcon
 */
describe('WorkIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<WorkIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(WorkIcon)).not.toBeNull();
  });
});
