import React from 'react';
import TestRenderer from 'react-test-renderer';
import CircleRipple from '../CircleRipple';

/**
 * Test rendering the CircleRipple
 */
describe('CircleRipple Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<CircleRipple />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(CircleRipple)).not.toBeNull();
  });
});
