import React from 'react';
import TestRenderer from 'react-test-renderer';
import FocusRipple from '../FocusRipple';

/**
 * Test rendering the FocusRipple
 */
describe('FocusRipple Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<FocusRipple />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(FocusRipple)).not.toBeNull();
  });
});
