'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _AppBar = require('../AppBar');

var _AppBar2 = _interopRequireDefault(_AppBar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the AppBar
 */
describe('AppBar Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(_AppBar2.default, { fixed: true, title: 'Test title', zDepth: 0 }));
    var testInstance = renderer.root;
    expect(testInstance.findByType(_AppBar2.default)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Test title');
  });
});