'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var styles = exports.styles = function styles(theme) {
  return {
    avatar: {
      position: 'relative',
      display: 'flex',
      alignItems: 'center',
      justifyContent: 'center',
      flexShrink: 0,
      width: 40,
      height: 40,
      fontFamily: theme.font.family,
      fontSize: '20px',
      fontWeight: 'normal',
      borderRadius: '50%',
      overflow: 'hidden',
      userSelect: 'none',
      backgroundColor: theme.avatar.backgroundColor,
      color: theme.avatar.color
    },
    selected: {
      color: theme.avatar.selectedColor,
      backgroundColor: theme.avatar.selectedBackgroundColor
    },
    img: {
      maxWidth: '100%',
      width: '100%',
      height: 'auto',
      textAlign: 'center'
    }
  };
};