'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _FlatButton = require('../FlatButton');

var _FlatButton2 = _interopRequireDefault(_FlatButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the FlatButton
 */
describe('FlatButton Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(_FlatButton2.default, { label: 'test label' }));
    var testInstance = renderer.root;
    expect(testInstance.findByType(_FlatButton2.default)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('test label');
  });
});