'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _shallow = require('react-test-renderer/shallow');

var _shallow2 = _interopRequireDefault(_shallow);

var _DatePicker = require('../DatePicker');

var _DatePicker2 = _interopRequireDefault(_DatePicker);

var _TextField = require('../../Input/TextField');

var _TextField2 = _interopRequireDefault(_TextField);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the DatePicker
 */
describe('DatePicker Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = new _shallow2.default();
    var renderedDocument = renderer.render(_react2.default.createElement(_DatePicker2.default, null));
    expect(renderedDocument).not.toBeNull();
    expect(JSON.stringify(renderedDocument)).toContain('date');
  });
});