'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _SelectButton = require('../SelectButton');

var _SelectButton2 = _interopRequireDefault(_SelectButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the SelectButton
 */
describe('SelectButton Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(_SelectButton2.default, { menuItems: [{ payload: 1, text: 1 }] }));
    var testInstance = renderer.root;
    expect(testInstance.findByType(_SelectButton2.default)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('SelectButton');
  });
});