'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _Snackbar = require('../Snackbar');

var _Snackbar2 = _interopRequireDefault(_Snackbar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the Snackbar
 */
describe('Snackbar Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(_Snackbar2.default, { message: 'Test Snackbar' }));
    var testInstance = renderer.root;
    expect(testInstance.findByType(_Snackbar2.default)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Test Snackbar');
  });
});