'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _BodyLeadText = require('../BodyLeadText');

var _BodyLeadText2 = _interopRequireDefault(_BodyLeadText);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Text/BodyLeadText', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(
      _BodyLeadText2.default,
      null,
      'test lead text'
    ));
    var testInstance = renderer.root;
    expect(testInstance.findByType(_BodyLeadText2.default)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('test lead text');
  });
});