'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _DisplayText = require('../DisplayText');

var _DisplayText2 = _interopRequireDefault(_DisplayText);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Text/Display', function () {
  it('Should render level 1', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(
      _DisplayText2.default,
      { level: 1 },
      'test display text'
    ));
    expect(renderer.root.findByType(_DisplayText2.default)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('test display text');
  });
});