'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _HeadingText = require('../HeadingText');

var _HeadingText2 = _interopRequireDefault(_HeadingText);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Text/Heading', function () {
  it('Should render level 1', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(
      _HeadingText2.default,
      { level: 1 },
      'test'
    ));
    expect(renderer.root.findByType(_HeadingText2.default)).not.toBeNull();
  });
  it('Should render level 2', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(
      _HeadingText2.default,
      { level: 2 },
      'test'
    ));
    expect(renderer.root.findByType(_HeadingText2.default)).not.toBeNull();
  });
  it('Should render level 3', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(
      _HeadingText2.default,
      { level: 3 },
      'test'
    ));
    expect(renderer.root.findByType(_HeadingText2.default)).not.toBeNull();
  });
  it('Should render level 4', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(
      _HeadingText2.default,
      { level: 4 },
      'test'
    ));
    expect(renderer.root.findByType(_HeadingText2.default)).not.toBeNull();
  });
});