'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactTestRenderer = require('react-test-renderer');

var _reactTestRenderer2 = _interopRequireDefault(_reactTestRenderer);

var _Checkbox = require('../Checkbox');

var _Checkbox2 = _interopRequireDefault(_Checkbox);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the Checkbox
 */
describe('Checkbox Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = _reactTestRenderer2.default.create(_react2.default.createElement(_Checkbox2.default, { label: 'Test Toggle Checkbox', checked: true }));
    var testInstance = renderer.root;
    expect(testInstance.findByType(_Checkbox2.default)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Test Toggle Checkbox');
  });
});