'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _shallow = require('react-test-renderer/shallow');

var _shallow2 = _interopRequireDefault(_shallow);

var _Tooltip = require('../Tooltip');

var _Tooltip2 = _interopRequireDefault(_Tooltip);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the Tooltip
 */
describe('Tooltip Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = new _shallow2.default();
    var renderedDocument = renderer.render(_react2.default.createElement(_Tooltip2.default, { classNames: 'jest-test', label: 'jest-tooltip', show: true, touch: true }));

    expect(renderedDocument.props.className).toBe('chamel-tooltip chamel-is-shown chamel-is-touch');
    expect(JSON.stringify(renderedDocument)).toContain('chamel-tooltip-label');
  });
});