'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var styles = exports.styles = function styles(theme) {
  return {
    '@global': {
      html: {
        height: '100%'
      },
      body: {
        backgroundColor: theme.body.backgroundColor,
        fontFamily: theme.font.family,
        color: theme.font.body.color,
        height: '100%'
      },
      h1: {
        fontWeight: theme.font.heading1.weight,
        fontSize: theme.font.heading1.size,
        color: theme.font.heading1.color
      },
      h2: {
        fontWeight: theme.font.heading2.weight,
        fontSize: theme.font.heading2.size,
        color: theme.font.heading2.color
      },
      h3: {
        fontWeight: theme.font.heading3.weight,
        fontSize: theme.font.heading3.size,
        color: theme.font.heading3.color
      },
      h4: {
        fontWeight: theme.font.heading4.weight,
        fontSize: theme.font.heading4.size,
        color: theme.font.heading4.color
      },
      p: {
        fontWeight: theme.font.body.weight,
        fontSize: theme.font.body.size,
        color: theme.font.body.color
      }
    }
  };
};