'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _shallow = require('react-test-renderer/shallow');

var _shallow2 = _interopRequireDefault(_shallow);

var _SlideIn = require('../SlideIn');

var _SlideIn2 = _interopRequireDefault(_SlideIn);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Test rendering the SlideIn
 */
describe('SlideIn Component', function () {
  // Basic validation that render works in edit mode and returns children
  it('Should render', function () {
    var renderer = new _shallow2.default();
    var renderedDocument = renderer.render(_react2.default.createElement(
      _SlideIn2.default,
      { className: 'jest-test', direction: 'up', enterDelay: 100 },
      _react2.default.createElement(
        'div',
        null,
        'Something to side in'
      )
    ));

    expect(renderedDocument.props.className).toBe('jest-test chamel-transition-slide-in chamel-is-up');
    expect(renderedDocument.props.component).toBe('div');
    expect(renderedDocument.props.classNames).toBe('chamel-transition-slide-in');
  });
});