import React from 'react';
import TestRenderer from 'react-test-renderer';
import Dialog from '../Dialog';

/**
 * Test rendering the Dialog
 */
describe('Dialog Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Dialog title={'test title'} />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Dialog)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('test title');
  });
});
