import React from 'react';
import TestRenderer from 'react-test-renderer';
import Page from '../Page';

/**
 * Test rendering the Page
 */
describe('Page Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Page title={'test title'} />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Page)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('dialogPage');
  });
});
