import React from 'react';
import TestRenderer from 'react-test-renderer';
import Editor from '../Editor';

/**
 * Test rendering the Editor
 */
describe('Editor Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Editor value={'test editor'} />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Editor)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('test editor');
  });
});
