import React from 'react';
import TestRenderer from 'react-test-renderer';
import FontIcon from '../FontIcon';

/**
 * Test rendering the FontIcon
 */
describe('FontIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<FontIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(FontIcon)).not.toBeNull();
  });
});
