import React from 'react';
import TestRenderer from 'react-test-renderer';
import DividerHoriz from '../DividerHoriz';

/**
 * Test rendering the Column
 */
describe('Grid/DividerHoriz', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<DividerHoriz />);
    expect(renderer.root.findByType(DividerHoriz)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('DividerHoriz');
  });
});
