import React from 'react';
import TestRenderer from 'react-test-renderer';
import Row from '../Row';

/**
 * Test rendering the Row
 */
describe('Row Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Row />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Row)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Row');
  });
});
