import React from 'react';
import TestRenderer from 'react-test-renderer';
import Chip from '../Chip';

/**
 * Test rendering the Row
 */
describe('Chip Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Chip>{'Test Chip'}</Chip>);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Chip)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Test Chip');
  });
});
