import React from 'react';
import TestRenderer from 'react-test-renderer';
import ListItemCheckbox from '../ListItemCheckbox';

/**
 * Test rendering the ListItemCheckbox
 */
describe('ListItemCheckbox Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<ListItemCheckbox />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ListItemCheckbox)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('ListItemCheckbox');
  });
});
