import React from 'react';
import TestRenderer from 'react-test-renderer';
import MenuItem from '../MenuItem';

/**
 * Test rendering the MenuItem
 */
describe('MenuItem Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<MenuItem />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(MenuItem)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('MenuItem');
  });
});
