import React from 'react';
import TestRenderer from 'react-test-renderer';
import SubheaderMenuItem from '../SubheaderMenuItem';

/**
 * Test rendering the SubheaderMenuItem
 */
describe('SubheaderMenuItem Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<SubheaderMenuItem />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(SubheaderMenuItem)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('SubheaderMenuItem');
  });
});
