import React from 'react';
import TestRenderer from 'react-test-renderer';
import Overlay from '../Overlay';

/**
 * Test rendering the Overlay
 */
describe('Overlay Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Overlay />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Overlay)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Overlay');
  });
});
