import React from 'react';
import TestRenderer from 'react-test-renderer';
import SelectField from '../SelectField';

/**
 * Test rendering the SelectButton
 */
describe('SelectField Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<SelectField menuItems={[{ text: 'test1' }]} />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(SelectField)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('SelectField');
  });
});
