import React from 'react';
import TestRenderer from 'react-test-renderer';
import TimePicker from '../TimePicker';

/**
 * Test rendering the TimePicker
 */
describe('TimePicker Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<TimePicker />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(TimePicker)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('div');
  });
});
