import React from 'react';
import TestRenderer from 'react-test-renderer';
import LinearProgress from '../LinearProgress';

/**
 * Test rendering the LinearProgress
 */
describe('LinearProgress Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<LinearProgress value={100} />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(LinearProgress)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('progress-bar');
  });
});
