import React from 'react';
import TestRenderer from 'react-test-renderer';
import Table from '../Table';

describe('Table/Table', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Table />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Table)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Table');
  });
});
