export const styles = theme => ({
  table: {
    width: '100%',
    borderSpacing: 0,
  },
  tableFixedWidth: {
    tableLayout: 'fixed',
  },
  tbody: {},
  row: {
    padding: '0',
    margin: '0',
    '&:hover': {
      backgroundColor: theme.borderColor,
    },
  },
  rowEmphasized: {
    fontWeight: 'bold',
  },
  rowSelected: {
    backgroundColor: theme.borderColor,
  },
  rowTappable: {
    cursor: 'pointer',
  },
  cell: {
    padding: theme.table.cellPadding,
    borderBottom: '1px solid ' + theme.borderColor,
    overflow: 'hidden',
    textOverflow: 'ellipsis',
    whiteSpace: 'nowrap',
  },
  iconCell: {
    width: '40px',
    paddingRight: '0',
    paddingTop: '0',
    paddingBottom: '0',
  },
});
