import React from 'react';
import TestRenderer from 'react-test-renderer';
import Tab from '../Tab';

/**
 * Test rendering the Tab
 */
describe('Tab Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Tab />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Tab)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Tab');
  });
});
