import React from 'react';
import TestRenderer from 'react-test-renderer';
import Tabs from '../Tabs';
import Tab from '../Tab';

/**
 * Test rendering the Tabs
 */
describe('Tabs Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Tabs />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Tabs)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Tabs');
  });
});
