import React from 'react';
import TestRenderer from 'react-test-renderer';
import BodyText from '../BodyText';

describe('Text/BodyText', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<BodyText>{'test body text'}</BodyText>);
    const testInstance = renderer.root;
    expect(testInstance.findByType(BodyText)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('test body text');
  });
});
