import React from 'react';
import TestRenderer from 'react-test-renderer';
import CaptionText from '../CaptionText';

describe('Text/CaptionText', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<CaptionText>{'test caption text'}</CaptionText>);
    const testInstance = renderer.root;
    expect(testInstance.findByType(CaptionText)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('test caption text');
  });
});
