import React from 'react';
import TestRenderer from 'react-test-renderer';
import Switch from '../Switch';

/**
 * Test rendering the Switch
 */
describe('Switch Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Switch />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Switch)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Switch');
  });
});
