import React from 'react';
import TestRenderer from 'react-test-renderer';
import Toolbar from '../Toolbar';

/**
 * Test rendering the Toolbar
 */
describe('Toolbar Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<Toolbar />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(Toolbar)).not.toBeNull();
    expect(JSON.stringify(renderer)).toContain('Toolbar');
  });
});
