import React from 'react';
import PropTypes from 'prop-types';
import FontIcon from '../../FontIcon';
import { styles } from './styles';
import injectStyles from '../../styles/injectStyles';

const ArrowBackIcon = (props, context) => {
  return (
    <FontIcon {...props} className={props.classes.iconArrowBack}>
      {'arrow_back'}
    </FontIcon>
  );
};

export default injectStyles(styles, ArrowBackIcon);
