import React from 'react';
import PropTypes from 'prop-types';
import FontIcon from '../../FontIcon';
import { styles } from './styles';
import injectStyles from '../../styles/injectStyles';

const ArrowDropDownCircleIcon = (props, context) => {
  return (
    <FontIcon {...props} className={props.classes.iconArrowDropDownCircle}>
      {'arrow_drop_down_circle'}
    </FontIcon>
  );
};

// Wrap in JSS for styles
export default injectStyles(styles, ArrowDropDownCircleIcon);
