import React from 'react';
import PropTypes from 'prop-types';
import FontIcon from '../../FontIcon';
import { styles } from './styles';
import injectStyles from '../../styles/injectStyles';

const ArrowDropUpIcon = (props, context) => {
  return (
    <FontIcon {...props} className={props.classes.iconArrowDropUp}>
      {'arrow_drop_up'}
    </FontIcon>
  );
};

// Wrap in JSS for styles
export default injectStyles(styles, ArrowDropUpIcon);
