import React from 'react';
import PropTypes from 'prop-types';
import FontIcon from '../../FontIcon';
import { styles } from './styles';
import injectStyles from '../../styles/injectStyles';

const ArrowForwardIcon = (props, context) => {
  return (
    <FontIcon {...props} className={props.classes.iconArrowForward}>
      {'arrow_forward'}
    </FontIcon>
  );
};

// Wrap in JSS for styles
export default injectStyles(styles, ArrowForwardIcon);
