import React from 'react';
import TestRenderer from 'react-test-renderer';
import AddCircleIcon from '../AddCircleIcon';

/**
 * Test rendering the AddCircleIcon
 */
describe("AddCircleIcon Component", () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<AddCircleIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(AddCircleIcon)).not.toBeNull();
  });
});
