import React from 'react';
import TestRenderer from 'react-test-renderer';
import ArrowDropDownIcon from '../ArrowDropDownIcon';

/**
 * Test rendering the ArrowDropDownIcon
 */
describe("ArrowDropDownIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<ArrowDropDownIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ArrowDropDownIcon)).not.toBeNull();
  });
});
