import React from 'react';
import TestRenderer from 'react-test-renderer';
import ArrowDropUpIcon from '../ArrowDropUpIcon';

/**
 * Test rendering the ArrowDropUpIcon
 */
describe("ArrowDropUpIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<ArrowDropUpIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ArrowDropUpIcon)).not.toBeNull();
  });
});
