import React from 'react';
import TestRenderer from 'react-test-renderer';
import CheckCircleIcon from '../CheckCircleIcon';

/**
 * Test rendering the CheckCircleIcon
 */
describe("CheckCircleIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<CheckCircleIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(CheckCircleIcon)).not.toBeNull();
  });
});
