import React from 'react';
import TestRenderer from 'react-test-renderer';
import CheckIcon from '../CheckIcon';

/**
 * Test rendering the CheckIcon
 */
describe("CheckIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<CheckIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(CheckIcon)).not.toBeNull();
  });
});
