import React from 'react';
import TestRenderer from 'react-test-renderer';
import CloseIcon from '../CloseIcon';

/**
 * Test rendering the CloseIcon
 */
describe("CloseIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<CloseIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(CloseIcon)).not.toBeNull();
  });
});
