import React from 'react';
import TestRenderer from 'react-test-renderer';
import ContactsIcon from '../ContactsIcon';

/**
 * Test rendering the AppsIcon
 */
describe("ContactsIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<ContactsIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ContactsIcon)).not.toBeNull();
  });
});
