import React from 'react';
import TestRenderer from 'react-test-renderer';
import DeleteIcon from '../DeleteIcon';

/**
 * Test rendering the DeleteIcon
 */
describe("DeleteIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<DeleteIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(DeleteIcon)).not.toBeNull();
  });
});
