import React from 'react';
import TestRenderer from 'react-test-renderer';
import ExpandMoreIcon from '../ExpandMoreIcon';

/**
 * Test rendering the ExpandMoreIcon
 */
describe("ExpandMoreIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<ExpandMoreIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ExpandMoreIcon)).not.toBeNull();
  });
});
