import React from 'react';
import TestRenderer from 'react-test-renderer';
import GroupIcon from '../GroupIcon';

/**
 * Test rendering the GroupIcon
 */
describe("GroupIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<GroupIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(GroupIcon)).not.toBeNull();
  });
});
