import React from 'react';
import TestRenderer from 'react-test-renderer';
import MoreVertIcon from '../MoreVertIcon';

/**
 * Test rendering the MoreVertIcon
 */
describe("MoreVertIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<MoreVertIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(MoreVertIcon)).not.toBeNull();
  });
});
