import React from 'react';
import TestRenderer from 'react-test-renderer';
import NoteIcon from '../NoteIcon';

/**
 * Test rendering the NoteIcon
 */
describe("NoteIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<NoteIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(NoteIcon)).not.toBeNull();
  });
});
