import React from 'react';
import TestRenderer from 'react-test-renderer';
import PhotoCameraIcon from '../PhotoCameraIcon';

/**
 * Test rendering the PhotoCameraIcon
 */
describe("PhotoCameraIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<PhotoCameraIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(PhotoCameraIcon)).not.toBeNull();
  });
});
