import React from 'react';
import TestRenderer from 'react-test-renderer';
import PrintIcon from '../PrintIcon';

/**
 * Test rendering the PrintIcon
 */
describe("PrintIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<PrintIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(PrintIcon)).not.toBeNull();
  });
});
