import React from 'react';
import TestRenderer from 'react-test-renderer';
import StyleIcon from '../StyleIcon';

/**
 * Test rendering the StyleIcon
 */
describe("StyleIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<StyleIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(StyleIcon)).not.toBeNull();
  });
});
