import React from 'react';
import TestRenderer from 'react-test-renderer';
import TransformIcon from '../TransformIcon';

/**
 * Test rendering the TransformIcon
 */
describe("TransformIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<TransformIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(TransformIcon)).not.toBeNull();
  });
});
