import React from 'react';
import TestRenderer from 'react-test-renderer';
import UnderlinedIcon from '../UnderlinedIcon';

/**
 * Test rendering the UnderlinedIcon
 */
describe("UnderlinedIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<UnderlinedIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(UnderlinedIcon)).not.toBeNull();
  });
});
