import React from 'react';
import TestRenderer from 'react-test-renderer';
import ViewListIcon from '../ViewListIcon';

/**
 * Test rendering the ViewListIcon
 */
describe("ViewListIcon Component", () => {

  // Basic validation that render works in edit mode and returns children
  it("Should render", () => {
    const renderer = TestRenderer.create(<ViewListIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ViewListIcon)).not.toBeNull();
  });
});
