import React from 'react';
import SvgIcon from '../../SvgIcon/SvgIcon';
import MaterialDesignIcon from 'react-icons/lib/md/flag';

/**
 * Get icon (see SvgIcon for accepted PropTypes)
 *
 * @param {Object} props
 * @returns {JSX}
 */
const Icon = props => {
  return <SvgIcon iconElement={MaterialDesignIcon} {...props} />;
};

export default Icon;
