import React from 'react';
import TestRenderer from 'react-test-renderer';
import AccessibilityIcon from '../AccessibilityIcon';

/**
 * Test rendering the AccessibilityIcon
 */
describe('AccessibilityIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<AccessibilityIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(AccessibilityIcon)).not.toBeNull();
  });
});
