import React from 'react';
import TestRenderer from 'react-test-renderer';
import AccountIcon from '../AccountIcon';

/**
 * Test rendering the AccountIcon
 */
describe('AccountIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<AccountIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(AccountIcon)).not.toBeNull();
  });
});
