import React from 'react';
import TestRenderer from 'react-test-renderer';
import AccountProfileIcon from '../AccountProfileIcon';

/**
 * Test rendering the AccountProfileIcon
 */
describe('AccountProfileIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<AccountProfileIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(AccountProfileIcon)).not.toBeNull();
  });
});
