import React from 'react';
import TestRenderer from 'react-test-renderer';
import ArrowDropDownCircleIcon from '../ArrowDropDownCircleIcon';

/**
 * Test rendering the ArrowDropDownCircleIcon
 */
describe('ArrowDropDownCircleIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<ArrowDropDownCircleIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ArrowDropDownCircleIcon)).not.toBeNull();
  });
});
