import React from 'react';
import TestRenderer from 'react-test-renderer';
import ArrowRightIcon from '../ArrowRightIcon';

/**
 * Test rendering the ArrowRightIcon
 */
describe('ArrowRightIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<ArrowRightIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ArrowRightIcon)).not.toBeNull();
  });
});
