import React from 'react';
import TestRenderer from 'react-test-renderer';
import DashboardIcon from '../DashboardIcon';

/**
 * Test rendering the DashboardIcon
 */
describe('DashboardIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<DashboardIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(DashboardIcon)).not.toBeNull();
  });
});
