import React from 'react';
import TestRenderer from 'react-test-renderer';
import EditIcon from '../EditIcon';

/**
 * Test rendering the AppsIcon
 */
describe('EditIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<EditIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(EditIcon)).not.toBeNull();
  });
});
