import React from 'react';
import TestRenderer from 'react-test-renderer';
import FindPageIcon from '../FindPageIcon';

/**
 * Test rendering the FindPageIcon
 */
describe('FindPageIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<FindPageIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(FindPageIcon)).not.toBeNull();
  });
});
