import React from 'react';
import TestRenderer from 'react-test-renderer';
import FlagIcon from '../FlagIcon';

/**
 * Test rendering the FlagIcon
 */
describe('FlagIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<FlagIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(FlagIcon)).not.toBeNull();
  });
});
