import React from 'react';
import TestRenderer from 'react-test-renderer';
import FullScreenIcon from '../FullScreenIcon';

/**
 * Test rendering the FullScreenIcon
 */
describe('FullScreenIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<FullScreenIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(FullScreenIcon)).not.toBeNull();
  });
});
