import React from 'react';
import TestRenderer from 'react-test-renderer';
import LinkIcon from '../LinkIcon';

/**
 * Test rendering the LinkIcon
 */
describe('LinkIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<LinkIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(LinkIcon)).not.toBeNull();
  });
});
