import React from 'react';
import TestRenderer from 'react-test-renderer';
import ListNumberedIcon from '../ListNumberedIcon';

/**
 * Test rendering the ListNumberedIcon
 */
describe('ListNumberedIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<ListNumberedIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ListNumberedIcon)).not.toBeNull();
  });
});
