import React from 'react';
import TestRenderer from 'react-test-renderer';
import LocalLibraryIcon from '../LocalLibraryIcon';

/**
 * Test rendering the LocalLibraryIcon
 */
describe('LocalLibraryIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<LocalLibraryIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(LocalLibraryIcon)).not.toBeNull();
  });
});
