import React from 'react';
import TestRenderer from 'react-test-renderer';
import LogOutIcon from '../LogOutIcon';

/**
 * Test rendering the LogOutIcon
 */
describe('LogOutIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<LogOutIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(LogOutIcon)).not.toBeNull();
  });
});
