import React from 'react';
import TestRenderer from 'react-test-renderer';
import MergeIcon from '../MergeIcon';

/**
 * Test rendering the MergeIcon
 */
describe('MergeIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<MergeIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(MergeIcon)).not.toBeNull();
  });
});
