import React from 'react';
import TestRenderer from 'react-test-renderer';
import PdfIcon from '../PdfIcon';

/**
 * Test rendering the PdfIcon
 */
describe('PdfIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<PdfIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(PdfIcon)).not.toBeNull();
  });
});
