import React from 'react';
import TestRenderer from 'react-test-renderer';
import PermMediaIcon from '../PermMediaIcon';

/**
 * Test rendering the PermMediaIcon
 */
describe('PermMediaIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<PermMediaIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(PermMediaIcon)).not.toBeNull();
  });
});
