import React from 'react';
import TestRenderer from 'react-test-renderer';
import PersonAddIcon from '../PersonAddIcon';

/**
 * Test rendering the PersonAddIcon
 */
describe('PersonAddIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<PersonAddIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(PersonAddIcon)).not.toBeNull();
  });
});
