import React from 'react';
import TestRenderer from 'react-test-renderer';
import SearchIcon from '../SearchIcon';

/**
 * Test rendering the SearchIcon
 */
describe('SearchIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<SearchIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(SearchIcon)).not.toBeNull();
  });
});
