import React from 'react';
import TestRenderer from 'react-test-renderer';
import SettingsApplicationIcon from '../SettingsApplicationsIcon';

/**
 * Test rendering the SettingsApplicationIcon
 */
describe('SettingsApplicationIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<SettingsApplicationIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(SettingsApplicationIcon)).not.toBeNull();
  });
});
