import React from 'react';
import TestRenderer from 'react-test-renderer';
import ShuffleIcon from '../ShuffleIcon';

/**
 * Test rendering the ShuffleIcon
 */
describe('ShuffleIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<ShuffleIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(ShuffleIcon)).not.toBeNull();
  });
});
