import React from 'react';
import TestRenderer from 'react-test-renderer';
import TitleIcon from '../TitleIcon';

/**
 * Test rendering the TitleIcon
 */
describe('TitleIcon Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<TitleIcon />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(TitleIcon)).not.toBeNull();
  });
});
