import React from 'react';
import TestRenderer from 'react-test-renderer';
import TouchRipple from '../TouchRipple';

/**
 * Test rendering the TouchRipple
 */
describe('TouchRipple Component', () => {
  // Basic validation that render works in edit mode and returns children
  it('Should render', () => {
    const renderer = TestRenderer.create(<TouchRipple />);
    const testInstance = renderer.root;
    expect(testInstance.findByType(TouchRipple)).not.toBeNull();
  });
});
