import React from 'react';
import { themeBuilder } from '../themeBuilder';

describe('styles/themeBuilder', () => {
  it('Should merge with base', () => {
    const base = { color: 'blue', list: { align: 'left' } };
    const theme = { list: { align: 'right' } };
    const expected = { color: 'blue', list: { align: 'right' } };
    expect(themeBuilder(theme, base)).toEqual(expected);
  });
});
