import baseTheme from './theme-base';
import deepmerge from 'deepmerge';

/**
 * Create a theme that can be used in chamel
 *
 * @param {*} props Properties overriding theme variables found in ./theme-base.js
 * @param {*} inheritFrom Optional theme to inherit from, defaults to base if not set
 */
export const themeBuilder = (props, inheritFrom = baseTheme) => {
  return deepmerge(inheritFrom, props);
};
